Extending Qt Creator Manual | IBuildStepFactory

Extending Qt Creator Manual 4.5.2

# IBuildStepFactory Class

(ProjectExplorer::IBuildStepFactory)

- List of all members, including inherited members

## Public Functions

| IBuildStepFactory(QObject *parent = nullptr)
virtual QList<BuildStepInfo> | availableSteps(BuildStepList *parent) const = 0
virtual BuildStep * | clone(BuildStepList *parent, BuildStep *product) = 0
virtual BuildStep * | create(BuildStepList *parent, Core::Id id) = 0
virtual BuildStep * | restore(BuildStepList *parent, const QVariantMap &map)

## Member Function Documentation

### IBuildStepFactory::IBuildStepFactory(QObject *parent = nullptr)

Default constructs an instance of IBuildStepFactory.

### `[pure virtual]` QList<BuildStepInfo> IBuildStepFactory::availableSteps(BuildStepList *parent) const

### `[pure virtual]` BuildStep *IBuildStepFactory::clone(BuildStepList *parent, BuildStep *product)

### `[pure virtual]` BuildStep *IBuildStepFactory::create(BuildStepList *parent, Core::Id id)

### `[virtual]` BuildStep *IBuildStepFactory::restore(BuildStepList *parent, const QVariantMap &map)